Subject: Re: Please try the latest snapshot -- it is close to cygwin 1.5.6
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: "Pierre A. Humblet" <[email-masked]>
Date: Fri, 26 Dec 2003 21:16:41 -0500

On Fri, Dec 26, 2003 at 05:59:59PM -0500, Christopher Faylor wrote:
>On Fri, Dec 26, 2003 at 03:46:41PM -0500, Pierre A.  Humblet wrote:
>>Also, while running sysinternals I noticed to the exim daemon still had
>>tty related handles, despite setsid().  Ditto for inetd.
>
>Calling setsid does not automatically eliminate tty handles.

I made some more changes to the tty code to eliminate a long-standing
handle leak when CYGWIN=tty.  I also *think* I eliminated a source
of opened tty handles but I haven't checked the inetd case and need
to go back to doing something besides working on cygwin.

I haven't been able to duplicate any problems with exim on any of my
NT-like systems, which is hardly surprising, since I know nothing about
it or how to set it up.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/